<?php
namespace ThurData\Servers\KerioEmail\App\Traits;

use function ThurData\Servers\KerioEmail\Core\Helper\di;
use ThurData\Servers\KerioEmail\Core\Lang\Lang;

/**
 *
 * Created by PhpStorm.
 * User: ThurData
 * Date: 29.08.19
 * Time: 10:43
 * Trait LangHandler
 */
trait LangHandler
{

    /**
     * @var Lang
     */
    protected $lang;

    /**
     * @return Lang
     */
    public function getLang()
    {

        if(!$this->lang)
        {
            $this->lang = di('lang');
        }

        return $this->lang;
    }

}